API de tendências em tempo real do Google Trends
Status de saúde da API
Saudável Disponível Limitado Quase indisponível Sem dados
Carregando status...
Obtenha as buscas em alta no Google por região e período, incluindo volume de pesquisa, crescimento e consultas relacionadas.
Tags: Google Trends
Parâmetros
| Nome | Obrigatório | Tipo | Padrão | Descrição |
|---|---|---|---|---|
geo | Sim | string | Código da região das buscas em alta, como US ou US-CA. | |
hours | Não | string | Período das buscas em alta. O padrão é de 24 horas. Valores disponíveis: - PAST_4_HOURS: Últimas 4 horas. O valor legado 4 também é aceito.- PAST_24_HOURS: Últimas 24 horas. O valor legado 24 também é aceito.- PAST_48_HOURS: Últimas 48 horas. O valor legado 48 também é aceito.- PAST_7_DAYS: Últimos 7 dias. O valor legado 168 também é aceito. | |
language | Não | string | en | Código do idioma da página do Google Trends. O padrão é en. |
Copiar requisição
bash
curl -X GET "https://api.justserpapi.com/api/v1/google/trends/trending-now?geo=US" \
-H "X-API-Key: YOUR_API_KEY"js
const res = await fetch("https://api.justserpapi.com/api/v1/google/trends/trending-now?geo=US", {
headers: { "X-API-Key": "YOUR_API_KEY" }
});
const data = await res.json();
console.log(data);python
import requests
url = "https://api.justserpapi.com/api/v1/google/trends/trending-now"
headers = { "X-API-Key": "YOUR_API_KEY" }
params = {
"geo": "US"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())php
<?php
$url = "https://api.justserpapi.com/api/v1/google/trends/trending-now?geo=US";
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"X-API-Key: YOUR_API_KEY"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
client := &http.Client{}
req, _ := http.NewRequest("GET", "https://api.justserpapi.com/api/v1/google/trends/trending-now?geo=US", nil)
req.Header.Set("X-API-Key", "YOUR_API_KEY")
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}Resposta
Carregando o exemplo de resposta mais recente...